## org.apache.lucene.analysis.tokenattributes
Class PayloadAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.PayloadAttributeImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PayloadAttribute, Attribute

    public class PayloadAttributeImpl

extends AttributeImpl
implements PayloadAttribute, java.lang.Cloneable, java.io.Serializable

The payload of a Token. See also `Payload`.

See Also:
  Serialized Form

Constructor Summary
`PayloadAttributeImpl()` Initialize this attribute with no payload.
`PayloadAttributeImpl(Payload payload)` Initialize this attribute with the given payload.

Method Summary
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`java.lang.Object` `clone()` Shallow clone.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(java.lang.Object other)` All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality.
`Payload` `getPayload()` Returns this Token's payload.
`int` `hashCode()` Subclasses must implement this method and should compute a hashCode similar to this:
`void` `setPayload(Payload payload)` Sets this Token's payload.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PayloadAttributeImpl

    public PayloadAttributeImpl()

  Initialize this attribute with no payload.

### PayloadAttributeImpl

    public PayloadAttributeImpl(Payload payload)

  Initialize this attribute with the given payload.

Method Detail

### getPayload

    public Payload getPayload()

  Returns this Token's payload.

  Specified by:
    `getPayload` in interface `PayloadAttribute`

### setPayload

    public void setPayload(Payload payload)

  Sets this Token's payload.

  Specified by:
    `setPayload` in interface `PayloadAttribute`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### clone

    public java.lang.Object clone()

  Description copied from class: `AttributeImpl`
  Shallow clone. Subclasses must override this if they need to clone any members deeply,

  Overrides:
    `clone` in class `AttributeImpl`

### equals

    public boolean equals(java.lang.Object other)

  Description copied from class: `AttributeImpl`
  All values used for computation of `AttributeImpl.hashCode()` should be checked here for equality. see also `Object.equals(Object)`

  Specified by:
    `equals` in class `AttributeImpl`

### hashCode

    public int hashCode()

  Description copied from class: `AttributeImpl`
  Subclasses must implement this method and should compute a hashCode similar to this:

         public int hashCode() {
           int code = startOffset;
           code = code * 31 + endOffset;
           return code;
         }

  see also `AttributeImpl.equals(Object)`

  Specified by:
    `hashCode` in class `AttributeImpl`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.